# Copyright 2017 AT&T Corporation.
# All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

"""
Tests for `patrole` module.
"""

from tempest import config

from patrole_tempest_plugin.tests.unit import base

CONF = config.CONF


class TestPatrole(base.TestCase):

    def test_rbac_group_backwards_compatability(self):
        """Validate that the deprecated group [rbac] is available and has the
        same options and option values as [patrole] group, which is current.
        """
        self.assertTrue(hasattr(CONF, 'patrole'))
        self.assertTrue(hasattr(CONF, 'rbac'))
        # Validate that both groups are identical.
        self.assertEqual(CONF.patrole.items(), CONF.rbac.items())
